-- ATTENTION
-- Ce script doit être exécuter sur 1 User qui a le rôle de DBA (ex.: User GRHUM)
-- USER SQL


--
-- Patch DBA de SCO_SCOLARITE du 15/03/2013 à exécuter depuis le user GRHUM
--
-- Rem : fichier encodé UTF-8

SET DEFINE OFF;
--
--
-- Fichier : 9/11
-- Type : DML
-- Schema : SCO_SCOLARITE
-- Numero de version : 0.1.0.5
-- Date de publication : 15/03/2013
-- Auteur(s) : Association Cocktail
--
--

create or replace
PROCEDURE SCO_IMPORT.IMPORT_NON_SCOLARIX IS

BEGIN

	-- Introduction
	DBMS_OUTPUT.PUT_LINE('Démarrage de l importation des données...');

	-- Vidage des tables d'import
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_AP');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_LIEN');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_EC');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_UE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_PARCOURS');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DIPLOME');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DISCIPLINE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_DOMAINE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_GRADE');   
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_SPECIALISATION');   
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_SPECIALITE');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_VOCATION'); 
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_MODE_AP');
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_TYPE_AP');
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_TYPE_FORMATION');  
	EXECUTE IMMEDIATE('TRUNCATE TABLE SCO_IMPORT.IMPORT_TYPE_ORGANISATION'); 
	DBMS_OUTPUT.PUT_LINE('Tables de SCO_IMPORT vidées');
  	COMMIT;    
	  -- Insertion des données dans IMPORT_STATUT_FORMATION
  	INSERT INTO SCO_IMPORT.IMPORT_STATUT_FORMATION (ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ.NEXTVAL, 'H', 'Habilité');
  	INSERT INTO SCO_IMPORT.IMPORT_STATUT_FORMATION (ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ.NEXTVAL, 'F', 'Fictif');
  	INSERT INTO SCO_IMPORT.IMPORT_STATUT_FORMATION (ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ.NEXTVAL, 'EC', 'En construction');
  	INSERT INTO SCO_IMPORT.IMPORT_STATUT_FORMATION (ID_STATUT_FORMATION, CODE, LIBELLE) VALUES (SCO_IMPORT.IMPORT_STATUT_FORMATION_SEQ.NEXTVAL, 'C', 'Classique');
  	DBMS_OUTPUT.PUT_LINE('Tables des Statuts de formation : OK');
  
  	-- Insertion des données dans IMPORT_TYPE_ORGANISATION
  	INSERT INTO SCO_IMPORT.IMPORT_TYPE_ORGANISATION (ID_TYPE_ORGANISATION, CODE, KEY, LIBELLE) VALUES (SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ.NEXTVAL, 'S', 'O', 'Semestriel');
  	INSERT INTO SCO_IMPORT.IMPORT_TYPE_ORGANISATION (ID_TYPE_ORGANISATION, CODE, KEY, LIBELLE) VALUES (SCO_IMPORT.IMPORT_TYPE_ORGANISATION_SEQ.NEXTVAL, 'A', 'N', 'Annuel');
	  DBMS_OUTPUT.PUT_LINE('Tables des Types d''organisation : OK');
	  
	-- Insertion dans IMPORT_DISCIPLINE
	INSERT INTO SCO_IMPORT.IMPORT_DISCIPLINE
	(ID_DISCIPLINE, KEY, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT SCO_IMPORT.IMPORT_DISCIPLINE_SEQ.NEXTVAL,KEY, CODE, LIBELLE_COURT, LIBELLE,VALIDE
    FROM SCO_IMPORT.TMP_IMPORT_DISCIPLINE;
    DBMS_OUTPUT.PUT_LINE('Alimentation de la table Disciplines : OK');
    
   -- Insertion des données dans IMPORT_DOMAINE
    INSERT INTO SCO_IMPORT.IMPORT_DOMAINE
	(ID_DOMAINE, CODE, LIBELLE_COURT, LIBELLE, TYPE, VALIDE)
	SELECT IMPORT_DOMAINE_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE, TYPE, DECODE(VALIDE,'O','1',NULL) 
	FROM SCO_IMPORT.TMP_IMPORT_DOMAINE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Domaines : OK');
		
	-- Insertion des données dans IMPORT_GRADE
	INSERT INTO SCO_IMPORT.IMPORT_GRADE
    (ID_GRADE, CODE, LIBELLE_COURT, LIBELLE, TYPE)
    SELECT IMPORT_GRADE_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE, TYPE
    FROM SCO_IMPORT.TMP_IMPORT_GRADE; 
    
    -- Insertion des données dans IMPORT_SPECIALISATION
	INSERT INTO SCO_IMPORT.IMPORT_SPECIALISATION
	(ID_SPECIALISATION, KEY, CODE, LIBELLE_COURT, LIBELLE)
	SELECT IMPORT_SPECIALISATION_SEQ.nextval, KEY, CODE, LIBELLE_COURT, LIBELLE
	FROM TMP_IMPORT_SPECIALISATION;	
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Specialisations : OK');

	-- Insertion des données dans IMPORT_SPECIALITE
	INSERT INTO SCO_IMPORT.IMPORT_SPECIALITE
	(ID_SPECIALITE, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT IMPORT_SPECIALITE_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE, VALIDE
	FROM SCO_IMPORT.TMP_IMPORT_SPECIALITE;	
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Specialités : OK');
  	
  	-- Insertion des données dans IMPORT_VOCATION
	INSERT INTO SCO_IMPORT.IMPORT_VOCATION
	(ID_VOCATION, CODE, LIBELLE_COURT, LIBELLE, VALIDE)
	SELECT IMPORT_VOCATION_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE, DECODE(VALIDE,'O','1',NULL) 
	FROM SCO_IMPORT.TMP_IMPORT_VOCATION;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Vocations : OK');
   	 
  	-- Insertion des données dans IMPORT_MODE_AP
	INSERT INTO SCO_IMPORT.IMPORT_MODE_AP
	(ID_MODE_AP, CODE, LIBELLE_COURT, LIBELLE)
	SELECT IMPORT_MODE_AP_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE
  	FROM SCO_IMPORT.TMP_IMPORT_MODE_AP;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Modes d''AP : OK');
   	 
  	-- Insertion des données dans IMPORT_TYPE_AP
	INSERT INTO SCO_IMPORT.IMPORT_TYPE_AP
	(ID_TYPE_AP, CODE, LIBELLE_COURT, LIBELLE)
	SELECT IMPORT_TYPE_AP_SEQ.nextval, CODE, LIBELLE_COURT, LIBELLE
  	FROM SCO_IMPORT.TMP_IMPORT_TYPE_AP;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Types d''AP : OK');
	
	-- Insertion des données dans IMPORT_AP
  	INSERT INTO SCO_IMPORT.IMPORT_AP
	(ID_AP, VERSION_DIPLOME_ID, CODE, LIBELLE, TYPE_AP_ID, MODE_AP_ID, VALEUR_HEURES, NB_GROUPES, SEUIL)
	SELECT IMPORT_AP_SEQ.NEXTVAL, VERSION_DIPLOME_ID, CODE, LIBELLE, TYPE_AP_ID, MODE_AP_ID, VALEUR_HEURES, NB_GROUPES, SEUIL
  	FROM SCO_IMPORT.TMP_IMPORT_AP;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table AP : OK');
	
    -- Insertion des données dans IMPORT_EC
  	INSERT INTO SCO_IMPORT.IMPORT_EC
	(ID_EC, DISCIPLINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE_COURT, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT, BASE_NOTE)
	SELECT IMPORT_EC_SEQ.NEXTVAL, DISCIPLINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE_COURT, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT, BASE_NOTE
  	FROM SCO_IMPORT.TMP_IMPORT_EC;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table EC : OK');

     -- Insertion des données dans IMPORT_LIEN
    INSERT INTO SCO_IMPORT.IMPORT_LIEN
	(ID_LIEN, EC_ID, AP_ID, SEMESTRE, MAJEUR)
	SELECT IMPORT_LIEN_SEQ.nextval, EC_ID, AP_ID, SEMESTRE, MAJEUR
	FROM SCO_IMPORT.TMP_IMPORT_LIEN;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Lien : OK');
	
	-- Insertion des données dans IMPORT_UE
  	INSERT INTO SCO_IMPORT.IMPORT_UE
	(ID_UE, DOMAINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT)
	SELECT SCO_IMPORT.IMPORT_UE_SEQ.NEXTVAL, DOMAINE_ID, VERSION_DIPLOME_ID, CODE, LIBELLE, CREDIT_ECTS, TRAVAIL_ETUDIANT
  	FROM SCO_IMPORT.TMP_IMPORT_UE;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table UE : OK');
	
	-- Insertion des données dans IMPORT_PARCOURS
  	INSERT INTO SCO_IMPORT.IMPORT_PARCOURS
	(ID_PARCOURS, SPECIALISATION_ID, VOCATION_ID, CODE, LIBELLE_COURT, LIBELLE)
	SELECT SCO_IMPORT.IMPORT_PARCOURS_SEQ.NEXTVAL, SPECIALISATION_ID, VOCATION_ID, CODE, LIBELLE_COURT, LIBELLE
  	FROM SCO_IMPORT.TMP_IMPORT_PARCOURS;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Parcours : OK');
	
	-- Insertion des données dans IMPORT_DIPLOME
  	INSERT INTO SCO_IMPORT.IMPORT_DIPLOME
  	(ID_DIPLOME, CODE, SISE_MESR, GRADE_UNIVERSITAIRE_ID, DOMAINE_ID, VOCATION_ID, LIBELLE_COURT, LIBELLE, STATUT_FORMATION_ID, TYPE_ORGANISATION_ID, MENTION, SPECIALITE, ANNEE_DEPART, ANNEE_ARRIVEE, MODELE)
	SELECT SCO_IMPORT.IMPORT_DIPLOME_SEQ.NEXTVAL, CODE, SISE_MESR, GRADE_UNIVERSITAIRE_ID, DOMAINE_ID, VOCATION_ID, LIBELLE_COURT, LIBELLE, STATUT_FORMATION_ID, TYPE_ORGANISATION_ID, MENTION, SPECIALITE, ANNEE_DEPART, ANNEE_ARRIVEE, MODELE
  	FROM SCO_IMPORT.TMP_IMPORT_DIPLOME;
	DBMS_OUTPUT.PUT_LINE('Alimentation de la table Diplome : OK');
END;
/
